Skip to main content
GET
/
products
JavaScript
import Whop from '@whop/sdk';

const client = new Whop({
  apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const productListItem of client.products.list({ company_id: 'biz_xxxxxxxxxxxxxx' })) {
  console.log(productListItem.id);
}
{
  "data": [
    {
      "id": "prod_xxxxxxxxxxxxx",
      "title": "Pickaxe Analytics",
      "visibility": "visible",
      "headline": "Real-time data analytics for creators",
      "verified": true,
      "business_type": "education_program",
      "industry_type": "trading",
      "created_at": "2023-12-01T05:00:00.401Z",
      "updated_at": "2023-12-01T05:00:00.401Z",
      "member_count": 42,
      "route": "pickaxe-analytics",
      "published_reviews_count": 42,
      "external_identifier": "ext_prod_12345"
    }
  ],
  "page_info": {
    "end_cursor": "<string>",
    "start_cursor": "<string>",
    "has_next_page": true,
    "has_previous_page": true
  }
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Query Parameters

after
string | null

Returns the elements in the list that come after the specified cursor.

before
string | null

Returns the elements in the list that come before the specified cursor.

first
integer | null

Returns the first n elements from the list.

Example:

42

last
integer | null

Returns the last n elements from the list.

Example:

42

company_id
string
required

The unique identifier of the company to list products for.

Example:

"biz_xxxxxxxxxxxxxx"

product_types
enum<string>[] | null

Filter to only products matching these type classifications.

The different types an product can be. Only use 'regular'. The rest are for internal use

Available options:
regular,
app,
experience_upsell,
api_only
visibilities
enum<string>[] | null

Filter to only products matching these visibility states.

The different levels of visibility for resources

Available options:
visible,
hidden,
archived,
quick_link,
all,
not_quick_link,
not_archived
order
enum<string> | null

The field to sort results by. Defaults to created_at.

Available options:
active_memberships_count,
created_at,
usd_gmv,
usd_gmv_30_days
direction
enum<string> | null

The sort direction for results. Defaults to descending.

Available options:
asc,
desc
created_before
string<date-time> | null

Only return products created before this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

created_after
string<date-time> | null

Only return products created after this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

Response

A successful response

The connection type for PublicAccessPass.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.